> ## Documentation Index
> Fetch the complete documentation index at: https://docs.elementum.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List users in your organization



## OpenAPI

````yaml get /users
openapi: 3.0.1
info:
  title: Elementum API
  description: ''
  contact:
    email: apiteam@elementum.io
  version: 0.0.1
servers:
  - url: /v1
security: []
tags:
  - name: Access Token
    description: Manage access tokens using OAuth 2.0 standards
  - name: Records
    description: Manage your records
  - name: Related-items
    description: Manage the related items of a record
  - name: Attachments
    description: Manage the attachments of a record
  - name: Watchers
    description: Manage the watchers of a record
  - name: Comments
    description: Manage the conversation of a record
  - name: Users
    description: Manage users in your organization
  - name: Groups
    description: Manage groups and group membership
externalDocs:
  description: Find out more about Elementum
  url: https://www.elementum.com/
paths:
  /users:
    get:
      tags:
        - Users
      summary: List users in your organization
      operationId: listUsers
      parameters:
        - $ref: '#/components/parameters/first'
        - $ref: '#/components/parameters/after'
        - $ref: '#/components/parameters/last'
        - $ref: '#/components/parameters/before'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserPagedList'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '429':
          $ref: '#/components/responses/429'
        '500':
          $ref: '#/components/responses/500'
      security:
        - ClientCredentials: []
components:
  parameters:
    first:
      name: first
      in: query
      description: The number of elements to retrieve after the 'after' cursor location
      required: false
      schema:
        maximum: 1000
        minimum: 1
        type: integer
        format: int32
        default: 100
    after:
      name: after
      in: query
      description: >-
        The starting cursor to begin searching, defaults to the beginning of the
        list
      required: false
      schema:
        type: string
    last:
      name: last
      in: query
      description: The number of elements to retrieve before the 'before' cursor location
      required: false
      schema:
        maximum: 1000
        minimum: 1
        type: integer
        format: int32
    before:
      name: before
      in: query
      description: The starting cursor to begin searching, defaults to the end of the list
      required: false
      schema:
        type: string
  schemas:
    UserPagedList:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/User'
        total:
          type: integer
          format: int32
        paging:
          $ref: '#/components/schemas/PagingState'
    User:
      type: object
      properties:
        id:
          type: string
          description: The user ID
        email:
          type: string
          description: The user email address
        firstName:
          type: string
          description: The user first name
        lastName:
          type: string
          description: The user last name
        status:
          type: string
          description: The user status (e.g., ACTIVE, INACTIVE)
        createdAt:
          type: string
          description: When the user was created
          format: date-time
      example:
        id: u-456
        email: jane.doe@example.com
        firstName: Jane
        lastName: Doe
        status: ACTIVE
        createdAt: '2025-06-01T09:00:00Z'
    PagingState:
      type: object
      properties:
        has_next_page:
          type: boolean
        end_cursor:
          type: string
        start_cursor:
          type: string
        has_previous_page:
          type: boolean
  responses:
    '400':
      description: Bad Request
    '401':
      description: Unauthorized
    '403':
      description: Forbidden
    '429':
      description: Too Many Requests
    '500':
      description: Internal Server Error
  securitySchemes:
    ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: /oauth/token
          scopes: {}

````